## xdg-desktop-portal 0.3

=== debian/changelog ===
xdg-desktop-portal (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #831689)

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 22:14:13 +0100

## xdg-desktop-portal 1.16.0

=== meson_options.txt ===
option('dbus-service-dir',
       type: 'string',
       value: '',
       description: 'directory for dbus service files (default: PREFIX/share/dbus-1/services)')
option('flatpak-interfaces-dir',
       type: 'string',
       value: '',
       description: 'directory for Flatpak interface files (default: PREFIX/share/dbus-1/interfaces)')
option('systemd-user-unit-dir',
       type: 'string',
       value: '',
       description: 'directory for systemd user service files (default: PREFIX/lib/systemd/user)')
option('libportal',
       type: 'feature',
       value: 'auto',
       description: 'Enable libportal support. Needed for tests')
option('geoclue',
       type: 'feature',
       value: 'auto',
       description: 'Enable Geoclue support. Needed for location portal')
option('pipewire',
       type: 'feature',
       value: 'auto',
       description: 'Enable PipeWire support. Needed for screen cast portal')
option('systemd',
       type: 'feature',
       value: 'auto',
       description: 'Enable systemd support')
option('docbook-docs',
       type: 'feature',
       value: 'auto',
       description: 'Build documentation (requires xmlto)')
option('xmlto-flags',
       type: 'array',
       value: [],
       description: 'Define/override "xmlto" options, like "--skip-validation"')
option('datarootdir',
        type: 'string',
        value: '',
        description: 'Define the datarootdir for the pkgconf file')
option('installed-tests',
        type: 'boolean',
        value: false,
        description: 'Enable installation of some test cases')

## xdg-desktop-portal 0.5

=== debian/changelog ===
xdg-desktop-portal (0.5-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Jan 2017 16:28:36 +0000

xdg-desktop-portal (0.4-1) unstable; urgency=medium

  * New upstream release
    - Drop cherry-picked patch for flatpak 0.6.10 container detection,
      now included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Dec 2016 10:51:02 +0000

=== debian/control ===
Source: xdg-desktop-portal
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper (>= 9),
 dh-autoreconf,
 libflatpak-dev (>= 0.6.10),
 libglib2.0-dev,
 xmlto,
Standards-Version: 3.9.8
Homepage: http://flatpak.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal.git

Package: xdg-desktop-portal
Architecture: linux-any
Multi-arch: foreign
Depends:
 default-dbus-session-bus | dbus-session-bus,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop integration portal for Flatpak
 xdg-desktop-portal provides a portal frontend service for Flatpak, and
 possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features.
 .
 The implementation of these interfaces is expected to require
 user confirmation before responding to the sandboxed application's
 requests. For example, when the sandboxed application ask to open a file,
 the portal implementation will open an "Open" dialog outside the sandbox,
 and will only make the selected file available to the sandboxed app if
 that dialog is confirmed.
 .
 xdg-desktop-portal is designed to be desktop-agnostic, and uses a
 desktop-environment-specific GUI backend such as xdg-desktop-portal-gtk
 to provide its functionality.

Package: xdg-desktop-portal-dev
Architecture: linux-any
Multi-arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop integration portal for Flatpak - development files
 xdg-desktop-portal provides a portal frontend service for Flatpak, and
 possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains development files for backends such as
 xdg-desktop-portal-gtk.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-docbook-docs \
		--enable-installed-tests \
		--libexecdir=/usr/lib/$(DEB_SOURCE) \
		$(NULL)

override_dh_install:
	dh_install --fail-missing

## xdg-desktop-portal 0.6

=== debian/changelog ===
xdg-desktop-portal (0.6-1) experimental; urgency=medium

  * New upstream release
    - Run as a systemd user service if dbus-user-session is installed
    - Add email portal
  * Move to debhelper compat level 10
  * Omit unimplemented configure option --enable-installed-tests
  * Do not explicitly disable quiet Automake output: dh now does this
    by default
  * Move API documentation from main package to -dev package
  * Register API documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Apr 2017 15:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  libflatpak-dev (>= 0.6.10),
  libglib2.0-dev,
  xmlto,
@@ -47,6 +46,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ xdg-desktop-portal (<< 0.5-2~),
+Replaces:
+ xdg-desktop-portal (<< 0.5-2~),
 Description: desktop integration portal for Flatpak - development files
  xdg-desktop-portal provides a portal frontend service for Flatpak, and
  possibly other desktop containment/sandboxing frameworks. This service

## xdg-desktop-portal 0.8

=== debian/changelog ===
xdg-desktop-portal (0.8-2) unstable; urgency=medium

  * Mark patches as applied upstream for 0.9
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2017 10:12:20 +0100

xdg-desktop-portal (0.8-1) experimental; urgency=medium

  * New upstream release
  * Add patches to make the development files completely
    architecture-independent (Closes: #864451)
  * Make xdg-desktop-portal-dev Architecture: all

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Jun 2017 08:04:12 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  to provide its functionality.
 
 Package: xdg-desktop-portal-dev
-Architecture: linux-any
+Architecture: all
 Multi-arch: foreign
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,11 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel --with=autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--disable-silent-rules \
 		--enable-docbook-docs \
-		--enable-installed-tests \
 		--libexecdir=/usr/lib/$(DEB_SOURCE) \
 		$(NULL)

## xdg-desktop-portal 0.11

=== debian/changelog ===
xdg-desktop-portal (0.11-1) unstable; urgency=medium

  * New upstream release
    - Drop patch, applied upstream
  * Standards-Version: 4.1.4 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Apr 2018 16:29:22 +0100

xdg-desktop-portal (0.10-4) unstable; urgency=medium

  * Merge from experimental, with autopkgtests included
  * d/p/build-Run-install-test-data-hook-as-intended.patch:
    Mark patch as applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Feb 2018 14:50:44 +0000

xdg-desktop-portal (0.10-3) experimental; urgency=medium

  * Reinstate xdg-desktop-portal-tests package and autopkgtests
  * d/p/build-Run-install-test-data-hook-as-intended.patch:
    Run the tests' install hook to set up enough symlinks that they
    will pass
  * Upload to experimental to wait for NEW processing

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Feb 2018 00:30:01 +0000

xdg-desktop-portal (0.10-2) unstable; urgency=medium

  * Really remove xdg-desktop-portal-tests stanza from d/control

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Feb 2018 00:01:42 +0000

xdg-desktop-portal (0.10-1) unstable; urgency=medium

  * New upstream release
  * Add Breaks/Replaces for flatpak (<< 0.10.4-1~) since this package
    has taken over the permission store and documents portal
  * Disable Pipewire support for now (ITP: #874089)
  * Add new build-dependencies for FUSE
  * Install the permission store and documents portal
  * d/copyright: Update
  * Drop flatpak build-dependency, no longer needed
  * Remove patches, applied upstream
  * Depend on FUSE
  * Build installed-tests, but don't install them for now to avoid the
    NEW queue
  * Use dh_missing --fail-missing instead of dh_install --fail-missing

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Feb 2018 17:44:15 +0000

xdg-desktop-portal (0.9-2) unstable; urgency=medium

  * Standards-Version: 4.1.3 (no changes)
  * Change Vcs-* to point to salsa.debian.org
  * d/p/0.10/: Update to upstream git commit 0.9-9-g422ecf3 for various
    bug fixes

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Jan 2018 08:46:29 +0000

xdg-desktop-portal (0.9-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Nov 2017 10:38:16 +0000

xdg-desktop-portal (0.8-3) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * Use https Format URL in d/copyright
  * Standards-Version: 4.1.1 (no further changes)

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Nov 2017 13:43:41 +0000

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,28 @@
 Build-Depends:
  dbus,
  debhelper (>= 10),
- libflatpak-dev (>= 0.6.10),
+ fuse <!nocheck>,
+ libfuse-dev,
  libglib2.0-dev,
  xmlto,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.4
 Homepage: http://flatpak.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal.git
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal
 Architecture: linux-any
 Multi-arch: foreign
 Depends:
  default-dbus-session-bus | dbus-session-bus,
+ fuse,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ flatpak (<< 0.10.4-1~),
+Replaces:
+ flatpak (<< 0.10.4-1~),
 Description: desktop integration portal for Flatpak
  xdg-desktop-portal provides a portal frontend service for Flatpak, and
  possibly other desktop containment/sandboxing frameworks. This service
@@ -47,8 +54,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ libflatpak-dev (<< 0.10.4-1~),
  xdg-desktop-portal (<< 0.5-2~),
 Replaces:
+ libflatpak-dev (<< 0.10.4-1~),
  xdg-desktop-portal (<< 0.5-2~),
 Description: desktop integration portal for Flatpak - development files
  xdg-desktop-portal provides a portal frontend service for Flatpak, and
@@ -60,3 +69,19 @@
  .
  This package contains development files for backends such as
  xdg-desktop-portal-gtk.
+
+Package: xdg-desktop-portal-tests
+Architecture: any
+Depends:
+ xdg-desktop-portal,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: desktop integration portal for Flatpak - automated tests
+ xdg-desktop-portal provides a portal frontend service for Flatpak, and
+ possibly other desktop containment/sandboxing frameworks. This service
+ is made available to the sandboxed application, and provides mediated
+ D-Bus interfaces for file access, URI opening, printing and similar
+ desktop integration features. See the xdg-desktop-portal package's
+ description for more details.
+ .
+ This package contains automated tests.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--disable-pipewire \
 		--enable-docbook-docs \
+		--enable-installed-tests \
 		--libexecdir=/usr/lib/$(DEB_SOURCE) \
 		$(NULL)
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing

## xdg-desktop-portal 0.99

=== debian/changelog ===
xdg-desktop-portal (0.99-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - debian/gbp.conf: Adjust for this branch

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Jul 2018 14:55:43 +0100

xdg-desktop-portal (0.99-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Install to /usr/libexec
  * Build in a UTF-8 locale, to avoid FTBFS when gdbus-codegen reads
    UTF-8

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Jul 2018 12:28:48 +0100

xdg-desktop-portal (0.11-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update package description to mention Snap
  * Use github page as homepage

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Jun 2018 22:02:48 +0100

xdg-desktop-portal (0.11-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - debian/gbp.conf: Adjust for this branch

 -- Simon McVittie <smcv@debian.org>  Thu, 10 May 2018 08:55:09 +0100

xdg-desktop-portal (0.10-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - debian/gbp.conf: Adjust for this branch

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Feb 2018 08:41:10 +0000

xdg-desktop-portal (0.10-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports, to support flatpak (>= 0.10.4)
    - debian/gbp.conf: Adjust for this branch

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Feb 2018 16:21:51 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libglib2.0-dev,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
-Homepage: http://flatpak.org/
+Standards-Version: 4.1.5
+Homepage: https://github.com/flatpak/xdg-desktop-portal
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
@@ -29,9 +29,9 @@
  flatpak (<< 0.10.4-1~),
 Replaces:
  flatpak (<< 0.10.4-1~),
-Description: desktop integration portal for Flatpak
- xdg-desktop-portal provides a portal frontend service for Flatpak, and
- possibly other desktop containment/sandboxing frameworks. This service
+Description: desktop integration portal for Flatpak and Snap
+ xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
+ and possibly other desktop containment/sandboxing frameworks. This service
  is made available to the sandboxed application, and provides mediated
  D-Bus interfaces for file access, URI opening, printing and similar
  desktop integration features.
@@ -59,9 +59,9 @@
 Replaces:
  libflatpak-dev (<< 0.10.4-1~),
  xdg-desktop-portal (<< 0.5-2~),
-Description: desktop integration portal for Flatpak - development files
- xdg-desktop-portal provides a portal frontend service for Flatpak, and
- possibly other desktop containment/sandboxing frameworks. This service
+Description: desktop integration portal - development files
+ xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
+ and possibly other desktop containment/sandboxing frameworks. This service
  is made available to the sandboxed application, and provides mediated
  D-Bus interfaces for file access, URI opening, printing and similar
  desktop integration features. See the xdg-desktop-portal package's
@@ -76,9 +76,9 @@
  xdg-desktop-portal,
  ${misc:Depends},
  ${shlibs:Depends},
-Description: desktop integration portal for Flatpak - automated tests
- xdg-desktop-portal provides a portal frontend service for Flatpak, and
- possibly other desktop containment/sandboxing frameworks. This service
+Description: desktop integration portal - automated tests
+ xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
+ and possibly other desktop containment/sandboxing frameworks. This service
  is made available to the sandboxed application, and provides mediated
  D-Bus interfaces for file access, URI opening, printing and similar
  desktop integration features. See the xdg-desktop-portal package's

## xdg-desktop-portal 1.0

=== debian/changelog ===
xdg-desktop-portal (1.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - debian/gbp.conf: Adjust for this branch

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Aug 2018 10:35:51 +0100

xdg-desktop-portal (1.0-1) unstable; urgency=medium

  * New upstream release
  * Install upstream NEWS
  * Standards-Version: 4.2.0 (no further changes)

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Aug 2018 09:53:13 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libglib2.0-dev,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal

## xdg-desktop-portal 1.0.1

=== debian/changelog ===
xdg-desktop-portal (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/p/network-monitor-Build-variants-for-GetStatus-correctly.patch:
    Add patch to make NetworkMonitor.GetStatus() work as intended
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Aug 2018 08:55:19 +0100

## xdg-desktop-portal 1.0.2

=== debian/changelog ===
xdg-desktop-portal (1.0.2-flatpak1~xenial) xenial; urgency=medium

  * Update to 1.0.2

 -- Alexander Larsson <alexl@redhat.com>  Thu, 13 Sep 2018 16:13:31 +0200

xdg-desktop-portal (1.0-flatpak1~xenial) xenial; urgency=medium

  * Update to 1.0

 -- Alexander Larsson <alexl@redhat.com>  Mon, 20 Aug 2018 14:11:57 +0200

xdg-desktop-portal (0.11-flatpak1~xenial) xenial; urgency=medium

  * Update to 0.11

 -- Alexander Larsson <alexl@redhat.com>  Fri, 27 Apr 2018 14:26:59 +0200

xdg-desktop-portal (0.10-0alexlarsson2~xenial) xenial; urgency=medium

  * Add fuse dependency

 -- Alexander Larsson <alexl@redhat.com>  Wed, 14 Feb 2018 15:38:40 +0100

xdg-desktop-portal (0.10-0alexlarsson1~xenial) xenial; urgency=medium

  * Update to 0.10

 -- Alexander Larsson <alexl@redhat.com>  Wed, 14 Feb 2018 13:50:54 +0100

xdg-desktop-portal (0.8-0alexlarsson2~xenial) xenial; urgency=medium

  * Depend on dbus-x11 *or* dbus-user-session

 -- Alexander Larsson <alexl@redhat.com>  Wed, 09 Aug 2017 21:21:53 +0200

xdg-desktop-portal (0.8-0alexlarsson1~xenial) xenial; urgency=medium

  * Update from debian

 -- Alexander Larsson <alexl@redhat.com>  Tue, 13 Jun 2017 16:51:09 +0200

xdg-desktop-portal (0.8-2) UNRELEASED; urgency=medium

  * Mark patches as applied upstream for 0.9

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2017 10:12:20 +0100

xdg-desktop-portal (0.6-0alexlarsson1~xenial) xenial; urgency=medium

  * Update from debian

 -- Alexander Larsson <alexl@redhat.com>  Thu, 04 May 2017 08:34:07 +0200

xdg-desktop-portal (0.5-0alexlarsson2~xenial) xenial; urgency=medium

  * Change default-dbus-session-bus dependency to dbus-user-session

 -- Alexander Larsson <alexl@redhat.com>  Wed, 25 Jan 2017 09:19:17 +0100

xdg-desktop-portal (0.5-0alexlarsson1~xenial) xenial; urgency=medium

  * Import from debian

 -- Alexander Larsson <alexl@redhat.com>  Tue, 24 Jan 2017 13:55:53 +0100

=== debian/control ===
Source: xdg-desktop-portal
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper (>= 9),
 dh-autoreconf,
 libglib2.0-dev,
 fuse,
 libfuse-dev,
 xmlto,
Standards-Version: 3.9.8
Homepage: http://flatpak.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal.git

Package: xdg-desktop-portal
Architecture: linux-any
Multi-arch: foreign
Depends:
 fuse,
 dbus-user-session | dbus-x11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop integration portal for Flatpak
 xdg-desktop-portal provides a portal frontend service for Flatpak, and
 possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features.
 .
 The implementation of these interfaces is expected to require
 user confirmation before responding to the sandboxed application's
 requests. For example, when the sandboxed application ask to open a file,
 the portal implementation will open an "Open" dialog outside the sandbox,
 and will only make the selected file available to the sandboxed app if
 that dialog is confirmed.
 .
 xdg-desktop-portal is designed to be desktop-agnostic, and uses a
 desktop-environment-specific GUI backend such as xdg-desktop-portal-gtk
 to provide its functionality.

Package: xdg-desktop-portal-dev
Architecture: all
Multi-arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 xdg-desktop-portal (<< 0.5-2~),
Replaces:
 xdg-desktop-portal (<< 0.5-2~),
Description: desktop integration portal for Flatpak - development files
 xdg-desktop-portal provides a portal frontend service for Flatpak, and
 possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains development files for backends such as
 xdg-desktop-portal-gtk.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-docbook-docs \
		--disable-pipewire \
		--libexecdir=/usr/lib/$(DEB_SOURCE) \
		$(NULL)

override_dh_install:
	dh_install --fail-missing

## xdg-desktop-portal 1.0.3

=== debian/changelog ===
xdg-desktop-portal (1.0.3-0ubuntu0.0) xenial-proposed; urgency=medium

  * New upstream release 1.0.3 (LP: #1817285)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 10 Dec 2018 15:44:10 -0500

xdg-desktop-portal (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * d/p/desktop-portal-don-t-attempt-to-export-NULL-GDBusInterfac.patch:
    Add patch from upstream to guard against NULL interface objects
    (previously applied in Ubuntu, LP: #1691649)

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Oct 2018 11:33:35 +0100

xdg-desktop-portal (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/p/network-monitor-Build-variants-for-GetStatus-correctly.patch:
    Drop, superseded by upstream changes

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Sep 2018 10:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,31 @@
 Build-Depends:
  dbus,
  debhelper (>= 9),
- dh-autoreconf,
+ fuse <!nocheck>,
+ libfuse-dev,
  libglib2.0-dev,
- fuse,
- libfuse-dev,
  xmlto,
-Standards-Version: 3.9.8
-Homepage: http://flatpak.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdg-desktop-portal.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdg-desktop-portal.git
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
+Homepage: https://github.com/flatpak/xdg-desktop-portal
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal
 Architecture: linux-any
 Multi-arch: foreign
 Depends:
+ default-dbus-session-bus | dbus-session-bus | dbus-x11,
  fuse,
- dbus-user-session | dbus-x11,
  ${misc:Depends},
  ${shlibs:Depends},
-Description: desktop integration portal for Flatpak
- xdg-desktop-portal provides a portal frontend service for Flatpak, and
- possibly other desktop containment/sandboxing frameworks. This service
+Breaks:
+ flatpak (<< 0.10.4-1~),
+Replaces:
+ flatpak (<< 0.10.4-1~),
+Description: desktop integration portal for Flatpak and Snap
+ xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
+ and possibly other desktop containment/sandboxing frameworks. This service
  is made available to the sandboxed application, and provides mediated
  D-Bus interfaces for file access, URI opening, printing and similar
  desktop integration features.
@@ -50,12 +54,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ libflatpak-dev (<< 0.10.4-1~),
  xdg-desktop-portal (<< 0.5-2~),
 Replaces:
+ libflatpak-dev (<< 0.10.4-1~),
  xdg-desktop-portal (<< 0.5-2~),
-Description: desktop integration portal for Flatpak - development files
- xdg-desktop-portal provides a portal frontend service for Flatpak, and
- possibly other desktop containment/sandboxing frameworks. This service
+Description: desktop integration portal - development files
+ xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
+ and possibly other desktop containment/sandboxing frameworks. This service
  is made available to the sandboxed application, and provides mediated
  D-Bus interfaces for file access, URI opening, printing and similar
  desktop integration features. See the xdg-desktop-portal package's
@@ -63,3 +69,19 @@
  .
  This package contains development files for backends such as
  xdg-desktop-portal-gtk.
+
+Package: xdg-desktop-portal-tests
+Architecture: any
+Depends:
+ xdg-desktop-portal,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: desktop integration portal - automated tests
+ xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
+ and possibly other desktop containment/sandboxing frameworks. This service
+ is made available to the sandboxed application, and provides mediated
+ D-Bus interfaces for file access, URI opening, printing and similar
+ desktop integration features. See the xdg-desktop-portal package's
+ description for more details.
+ .
+ This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-pipewire \
		--enable-docbook-docs \
		--enable-installed-tests \
		--libexecdir=/usr/libexec \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/flatpak/xdg-desktop-portal/releases .*/xdg-desktop-portal-(\d\S*)\.tar\.xz

## xdg-desktop-portal 1.2.0

=== debian/changelog ===
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * d/watch: Only watch for stable releases
  * d/p/Revert-Stop-building-the-icon-validator.patch,
    d/p/validate-icon-Add-a-define-for-bwrap.patch,
    d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
    Build a copy of the icon validator from Flatpak git master.
    We don't want to rely on a version of Flatpak that isn't
    stable yet.
    - d/p/notification-Handle-non-existing-directories.patch,
      d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
      Remove, no longer necessary
  * d/upstream/metadata: Add DEP-12 metadata
  * Release to unstable

  [ Jeremy Bicha ]
  * Don't enable remote desktop support on Ubuntu. See LP bug 1802533

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Jan 2019 18:31:50 +0000

xdg-desktop-portal (1.1.1-1) experimental; urgency=medium

  * New upstream development release
    - Drop patches, applied upstream
    - Build-Depend on libgdk-pixbuf2.0-dev, for icon validation
    - Package new xdg-desktop-portal-validate-icon executable
    - Depend on bubblewrap, for sandboxed icon validation
  * Enable Location portal (geoclue-2.0)
  * Standards-Version: 4.3.0 (no changes required)
  * d/control: Set Vcs-Git branch for experimental
  * d/p/notification-Handle-non-existing-directories.patch,
    d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
    Make bwrap invocation more reliable, and in particular make it
    work on purely 32-bit systems with no /lib64 (patches taken from
    gnome-desktop, thanks to Iain Lane and Mart Raudsepp)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Jan 2019 09:57:59 +0000

xdg-desktop-portal (1.1.0-1) experimental; urgency=medium

  * New upstream development release
    - d/copyright: Update
    - d/control: Build-depend on fontconfig, for fontconfig cache
      invalidation in Settings portal
    - d/control: Build-depend on flatpak, for permission-store test
  * Don't build with Location portal yet, because geoclue-2.0 is
    currently too old
  * Drop patch, applied upstream
  * d/gbp.conf: Use debian/experimental branch
  * d/patches: Skip another build-time test when FUSE is not supported
  * d/patches: Don't show a critical warning when a document permissions
    entry is removed
  * Enable Pipewire support, for screencasting

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Nov 2018 18:47:57 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,18 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 9),
+ debhelper (>= 10),
  fuse <!nocheck>,
+ libgdk-pixbuf2.0-dev,
+ libgeoclue-2-dev (>= 2.5.2),
+ libflatpak-dev,
+ libfontconfig1-dev,
  libfuse-dev,
  libglib2.0-dev,
+ libpipewire-0.2-dev (>= 0.2.2),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
@@ -21,7 +26,8 @@
 Architecture: linux-any
 Multi-arch: foreign
 Depends:
- default-dbus-session-bus | dbus-session-bus | dbus-x11,
+ bubblewrap,
+ default-dbus-session-bus | dbus-session-bus,
  fuse,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,23 @@
 
 include /usr/share/dpkg/default.mk
 
+# pipewire is not in Ubuntu main yet https://launchpad.net/bugs/1802533
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	CONFFLAGS += --disable-pipewire
+else
+	CONFFLAGS += --enable-pipewire
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--disable-pipewire \
 		--enable-docbook-docs \
+		--enable-geoclue \
 		--enable-installed-tests \
 		--libexecdir=/usr/libexec \
+		$(CONFFLAGS)
 		$(NULL)
 
 override_dh_missing:

## xdg-desktop-portal 1.4.2

=== debian/changelog ===
xdg-desktop-portal (1.4.2-2ubuntu1) eoan; urgency=medium

  * d/p/background-Don-t-spam-the-logs.patch 
    - Only warn once if we don't find the shell api (LP: #1851807)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 08 Jan 2020 09:26:04 -0500

xdg-desktop-portal (1.4.2-2) unstable; urgency=medium

  * Release to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/p/test-doc-portal-Check-for-FUSE-support-more-thoroughly.patch:
    Skip tests when FUSE is non-functional, even if we are root
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Remove redundant --libexecdir=/usr/libexec, which is the default
      at this compat level
  * d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-1.4..patch:
    Update icon validator to the one from Flatpak 1.4.2
  * Mark autopkgtest as flaky due to #931726

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 09:19:47 +0100

xdg-desktop-portal (1.4.2-1) experimental; urgency=medium

  * New upstream release
  * Disable pipewire (screencasting) until 0.2.6 is available in Debian
  * Build-depend on libjson-glib-dev
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jun 2019 09:37:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xdg-desktop-portal
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  fuse <!nocheck>,
  libgdk-pixbuf2.0-dev,
  libgeoclue-2-dev (>= 2.5.2),
@@ -14,10 +15,10 @@
  libfontconfig1-dev,
  libfuse-dev,
  libglib2.0-dev,
- libpipewire-0.2-dev (>= 0.2.2),
+ libjson-glib-dev,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-docbook-docs \
		--enable-geoclue \
		--enable-installed-tests \
		--disable-pipewire \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

## xdg-desktop-portal 1.6.0

=== debian/changelog ===
xdg-desktop-portal (1.6.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports
    - Disable pipewire (screen recording) support.
      pipewire in buster is too old for this version of xdg-desktop-portal.

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Feb 2020 10:14:28 +0000

xdg-desktop-portal (1.6.0-1) unstable; urgency=medium

  * New upstream stable release
    - d/watch: Only watch for stable releases
    - d/gbp.conf: Use debian/master, upstream/1.6.x branches
  * Mention #946913 in previous changelog entry
  * Add "unsafe" pkg.libportal.enable build option to enable extra tests
    while libportal is not yet API-stable
  * d/p/Fix-the-build-on-old-glib.patch,
    d/p/xml-Avoid-fancy-quotes.patch:
    Add post-release fixes from upstream
  * d/p/open-uri-Fix-criticals-if-no-default-handler-for-desired-.patch,
    d/p/tests-Fix-race-condition-in-various-Lockdown-tests.patch,
    d/p/tests-Skip-Location-tests-if-we-have-no-D-Bus-system-bus.patch,
    d/p/tests-Install-test-backends.patch,
    d/p/tests-When-installed-look-for-executables-in-libexecdir.patch,
    d/p/tests-Install-test.portal-for-installed-tests.patch:
    Fix some test failures when libportal is enabled
  * d/p/tests-Divert-service-stdout-to-stderr.patch,
    d/p/tests-Always-produce-verbose-output-from-subprocesses.patch:
    Improve test diagnostics
  * d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-1.6..patch:
    Relabel the icon validator as coming from Flatpak 1.6.0
    (it's the same as 1.4.2)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Dec 2019 14:15:27 +0000

xdg-desktop-portal (1.5.4-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream development release
    - d/patches: Rebase
    - d/rules: Explicitly disable libportal-based tests (ITP: #946605)
    - Only log one warning if unable to track which apps are "in the
      background, for example x-d-p-gtk in a non-GNOME environment
      (Closes: #946913)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Dec 2019 23:23:14 +0000

xdg-desktop-portal (1.4.2-3) unstable; urgency=medium

  * Standards-Version: 4.4.1 (no changes required)
  * Re-enable pipewire (screen recording) support now that v0.2.7 is
    available

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Nov 2019 10:12:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: xdg-desktop-portal
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
  debhelper-compat (= 12),
+ geoclue-2.0 <!nocheck pkg.libportal.enable>,
  fuse <!nocheck>,
  libgdk-pixbuf2.0-dev,
  libgeoclue-2-dev (>= 2.5.2),
@@ -16,11 +16,12 @@
  libfuse-dev,
  libglib2.0-dev,
  libjson-glib-dev,
+ libportal-dev (>= 0.3) <pkg.libportal.enable>,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal
@@ -80,6 +81,9 @@
 Package: xdg-desktop-portal-tests
 Architecture: any
 Depends:
+ dbus,
+ geoclue-2.0,
+ pipewire,
  xdg-desktop-portal,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,15 @@
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
+
+CONFFLAGS += --disable-pipewire
+
+# ITP #946605
+ifeq ($(filter pkg.libportal.enable,$(DEB_BUILD_PROFILES)),)
+CONFFLAGS += --disable-libportal
+else
+CONFFLAGS += --enable-libportal
+endif
 
 %:
 	dh $@
@@ -14,8 +23,15 @@
 		--enable-docbook-docs \
 		--enable-geoclue \
 		--enable-installed-tests \
-		--disable-pipewire \
+		$(CONFFLAGS)
 		$(NULL)
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	G_MESSAGES_DEBUG=all \
+	TEST_IN_CI=1 \
+	dh_auto_test --no-parallel
+endif

## xdg-desktop-portal 1.8.0

=== debian/changelog ===
xdg-desktop-portal (1.8.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports
    - Disable pipewire (screen recording and remote desktop) support.
      pipewire in buster is too old for this version of xdg-desktop-portal.
    - Version the build-dependency on libflatpak-dev.

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Oct 2020 11:24:01 +0100

xdg-desktop-portal (1.8.0-1) unstable; urgency=medium

  * New upstream release
    - Drop most patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2020 10:31:24 +0100

xdg-desktop-portal (1.7.2-2) unstable; urgency=medium

  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.
  * Release to unstable as part of the pipewire 0.3 transition

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:32:17 +0100

xdg-desktop-portal (1.7.2-1) experimental; urgency=medium

  * New upstream development release
  * Drop patch skipping FUSE tests if necessary,
    upstream made an equivalent change
  * Update icon validator to the one from Flatpak 1.8.1
  * Build-Depend on libcap2-bin, for capsh, and add it to test dependencies
  * tests: Look for capsh in /sbin
  * Update patches.
    This includes upstream 1.7.2-37-g089e72b plus merge request
    <https://github.com/flatpak/xdg-desktop-portal/pull/521>,
    to make the installed-tests work better.
  * d/tests/gnome-desktop-testing: Set TEST_IN_CI.
    Upstream uses this to extend test timeouts and skip flaky tests.
  * Re-enable pipewire now that 0.3.x is in experimental

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 19:41:23 +0100

xdg-desktop-portal (1.7.1-1) experimental; urgency=medium

  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Mar 2020 10:19:22 +0100

xdg-desktop-portal (1.7.0-1) experimental; urgency=medium

  * Switch to experimental branch
    - d/watch: Watch for development releases
    - d/gbp.conf, d/control: Use debian/experimental packaging branch
    - d/gbp.conf: Use upstream/latest branch
  * New upstream development release
  * Disable pipewire until 0.3.x is available (#954022)
  * Drop patches that were applied upstream
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Standards-Version: 4.5.0 (no changes required)
  * d/p/tests-Divert-service-stdout-to-stderr.patch: Simplify
  * tests: Depend on procps, for /bin/kill
  * tests: Depend on python3 and python3-gi
  * Add a patch to skip (more) FUSE tests on buildds

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Mar 2020 16:00:52 +0000

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,21 @@
  debhelper-compat (= 12),
  geoclue-2.0 <!nocheck pkg.libportal.enable>,
  fuse <!nocheck>,
+ libcap2-bin <!nocheck>,
  libgdk-pixbuf2.0-dev,
  libgeoclue-2-dev (>= 2.5.2),
- libflatpak-dev,
+ libflatpak-dev (>= 1.5.0),
  libfontconfig1-dev,
  libfuse-dev,
  libglib2.0-dev,
  libjson-glib-dev,
  libportal-dev (>= 0.3) <pkg.libportal.enable>,
+ procps <!nocheck>,
+ python3 <!nocheck>,
+ python3-gi <!nocheck>,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
@@ -83,7 +87,10 @@
 Depends:
  dbus,
  geoclue-2.0,
- pipewire,
+ libcap2-bin,
+ procps,
+ python3,
+ python3-gi,
  xdg-desktop-portal,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
@@ -31,6 +30,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	chmod +x tests/test-document-fuse.py
 	G_MESSAGES_DEBUG=all \
 	TEST_IN_CI=1 \
 	dh_auto_test --no-parallel

## xdg-desktop-portal 1.8.1

=== debian/changelog ===
xdg-desktop-portal (1.8.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Disable pipewire (screen recording and remote desktop) support.
      pipewire in buster is too old for this version of xdg-desktop-portal.

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Apr 2021 09:18:17 +0100

xdg-desktop-portal (1.8.1-1) unstable; urgency=medium

  * New upstream release
    - Fix a fd leak when opening URIs
    - Fix directory support in filechooser
    - Improve Snap support
    - Fix a crash when setting wallpaper fails
  * Drop fontconfig build-dependency, no longer needed
  * Define _GNU_SOURCE when compiling the icon validator,
    avoiding an implicit declaration of execvpe()
  * Label the icon validator as coming from Flatpak 1.10.1
    (no actual changes, the code is identical to 1.8.1)

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Feb 2021 10:21:45 +0000

xdg-desktop-portal (1.8.0-3) unstable; urgency=medium

  * debian/rules: Build with pipewire support in ubuntu as well (LP: #1879580)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Feb 2021 19:08:03 +0100

xdg-desktop-portal (1.8.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Disable pipewire (screen recording and remote desktop) support.
      pipewire in buster is too old for this version of xdg-desktop-portal.

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Jan 2021 09:31:16 +0000

xdg-desktop-portal (1.8.0-2) unstable; urgency=medium

  * Version the build-dependency on libflatpak-dev.
    This is significant when backporting to buster.
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 12:01:38 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
  geoclue-2.0 <!nocheck pkg.libportal.enable>,
  fuse <!nocheck>,
  libcap2-bin <!nocheck>,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
  libgeoclue-2-dev (>= 2.5.2),
  libflatpak-dev (>= 1.5.0),
- libfontconfig1-dev,
  libfuse-dev,
  libglib2.0-dev,
  libjson-glib-dev,
@@ -23,7 +22,7 @@
  python3-gi <!nocheck>,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/flatpak/xdg-desktop-portal
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 		--enable-docbook-docs \
 		--enable-geoclue \
 		--enable-installed-tests \
+		--enable-pipewire \
 		$(CONFFLAGS)
 		$(NULL)
